pokerth_1.1.1-7ubuntu1_i386.deb


Advertisement

Description

pokerth - Texas hold'em game

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename pokerth_1.1.1-7ubuntu1_i386.deb
Package name pokerth
Package version 1.1.1
Package release 7ubuntu1
Package architecture i386
Package type deb
Category universe/games
Homepage http://www.pokerth.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.49 MB
Installed size 5.12 MB
pokerth is a free implementation of the Texas hold'em poker game which is
mostly played in casinos and has a growing popularity worldwide. Texas hold'em
is easy to learn but needs a good strategy to win and a lot of luck. This
package helps you when practicing or just playing for fun.

Alternatives

Package Version Architecture Repository
pokerth_1.1.1-7ubuntu1_amd64.deb 1.1.1 amd64 Ubuntu Universe
pokerth - - -

Requires

Name Value
fonts-dejavu-core -
gsfonts-x11 -
libboost-filesystem1.65.1 -
libboost-iostreams1.65.1 -
libboost-random1.65.1 -
libboost-regex1.65.1 -
libboost-system1.65.1 -
libboost-thread1.65.1 -
libc6 >= 2.9
libcurl3-gnutls >= 7.16.2
libgcc1 >= 1:4.2
libgcrypt20 >= 1.8.0
libgsasl7 >= 1.1
libprotobuf10 -
libqt5core5a >= 5.9.0~beta
libqt5gui5 >= 5.3.0
libqt5network5 >= 5.0.2
libqt5widgets5 >= 5.2.0~alpha1
libsdl-mixer1.2 -
libsdl1.2debian >= 1.2.11
libsqlite3-0 >= 3.5.9
libstdc++6 >= 5.2
libtinyxml2.6.2v5 -
pokerth-data = 1.1.1-7ubuntu1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pokerth_1.1.1-7ubuntu1_i386.deb
Source Package pokerth

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pokerth deb package:
    # sudo apt-get install pokerth

Files

Path
/usr/games/pokerth
/usr/share/applications/pokerth.desktop
/usr/share/doc/pokerth/NEWS.Debian.gz
/usr/share/doc/pokerth/changelog.Debian.gz
/usr/share/doc/pokerth/copyright
/usr/share/man/man1/pokerth.1.gz
/usr/share/menu/pokerth
/usr/share/pixmaps/pokerth.png
/usr/share/pixmaps/pokerth.xpm

Changelog

2018-03-31 - Gianfranco Costamagna <locutusofborg@debian.org>
pokerth (1.1.1-7ubuntu1) bionic; urgency=medium
* Cherry-pick upstream patch to fix protobuf and boost
compatibility issues:
- new boost failure
- new protobuf failure (bionic has an older protobuf,
but applying this patch won't hurt and prepare it
2016-11-09 - Markus Koschany <apo@debian.org>
pokerth (1.1.1-7) unstable; urgency=medium
* Team upload.
* Apply upstream patch and fix FTBFS with c++11. (Closes: #843078)
* Switch to compat level 10.
2016-09-08 - Markus Koschany <apo@debian.org>
pokerth (1.1.1-6) unstable; urgency=medium
* Team upload.
* pokerth-server.postrm: Check for existence of /var/games too.
2016-09-08 - Markus Koschany <apo@debian.org>
pokerth (1.1.1-5) unstable; urgency=medium
* Team upload.
* pokerth-server.postrm: Check for existence of directory
/var/games/pokerth-server.
Thanks to Andreas Beckmann for the report. (Closes: #836950)
2016-08-23 - Markus Koschany <apo@debian.org>
pokerth (1.1.1-4) unstable; urgency=medium
* Team upload.
* Declare compliance with Debian Policy 3.9.8.
* wrap-and-sort -sa.
* Vcs-Browser: Use https.
* Switch from ttf-dejavu-core to fonts-dejavu-core.
* Add qmake-gcc-6.patch and std-ifstream-and-std-ofstream.patch and fix
build failures with GCC-6. (Closes: #812290, #828116)
* d/rules: Add QMAKE_CXXFLAGS+="-std=gnu++98" flag to configure and force
building with the older gnu++98 standard.
* d/rules: export DEB_BUILD_MAINT_OPTIONS = hardening=+all.
* Add pokerth-server.service file and support systemd. (Closes: #772931)
* d/control: pokerth-server: Depend on pokerth-data and adduser.
* Add pokerth-server.postinst and pokerth-server.postrm maintainer scripts
and start the server with system user _pokerth in
/var/games/pokerth-server.
* Add pokerth-server.links and symlink required data into
/var/games/pokerth-server. (Closes: #772929)
* Build with --parallel.
* Build with systemd and build-depend on dh-systemd.
* Install pokerth_server man page into section 6 (games).
* Add pokerth-server.lintian-overrides because we ship a service file
already.
* Add README.Debian file for pokerth-server.
2015-11-11 - Evgeni Golov <evgeni@debian.org>
pokerth (1.1.1-3) unstable; urgency=medium
* Update d/copyright, thanks lintian.
* Import upstream patch to fix FTBFS with Qt 5.5
Closes: #803143
* Standards-Version: 3.9.6
2014-10-11 - Andreas Metzler <ametzler@debian.org>
pokerth (1.1.1-2.2) unstable; urgency=medium
* Non-maintainer upload.
* Drop unused build-depends on libgnutls-dev, add b-d on libgcrypt20-dev.
Closes: #764106
2014-09-13 - Robert S. Edmonds <edmonds@debian.org>
pokerth (1.1.1-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix FTBFS with newer libircclient-dev by updating #include paths.
(10_fix_ftbfs_with_new_libircclient.patch).
Closes: #759851.
2014-02-04 - Evgeni Golov <evgeni@debian.org>
pokerth (1.1.1-2) unstable; urgency=medium
* Build with Qt5 on kfreebsd-amd64, kfreebsd-i386, mips, mipsel,
powerpc, hppa and ppc64 again.
2014-01-10 - Evgeni Golov <evgeni@debian.org>
pokerth (1.1.1-1) unstable; urgency=medium
* New upstream bugfix release.
* Standards-Version: 3.9.5

See Also

Package Description
polari_3.28.0-1_i386.deb Internet Relay Chat (IRC) client
polenum_0.2-3_all.deb Extracts the password policy from a Windows system
policycoreutils-dbus_2.7-2_all.deb SELinux core policy utilities (D-Bus daemon)
policycoreutils-dev_2.7-2_i386.deb SELinux core policy utilities (development utilities)
policycoreutils-gui_2.7-2_all.deb SELinux core policy utilities (graphical utilities)
policycoreutils-python-utils_2.7-2_all.deb SELinux core policy utilities (Python utilities)
policycoreutils-sandbox_2.7-2_i386.deb SELinux core policy utilities (graphical sandboxes)
policycoreutils_2.7-1_i386.deb SELinux core policy utilities
policyd-rate-limit_0.7.1-1_all.deb postfix policy daemon limiting the number of mails a user can send
policyd-weight_0.1.15.2-12_all.deb Perl policy daemon for the Postfix MTA
polipo_1.1.1-8_i386.deb lightweight, caching web proxy
polkit-kde-1_5.12.4-0ubuntu1_all.deb transitional dummy package
polkit-kde-agent-1_5.12.4-0ubuntu1_i386.deb KDE dialogs for PolicyKit
polled-camera-tool_1.11.11-3_i386.deb Robot OS polled_camera package tool
pollen_4.21-0ubuntu1_i386.deb Entropy-as-a-Service web server
Advertisement
Advertisement